[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TDataModule.CreateNew

## Declaration

Source position: classesh.inc line 2154

`public constructor TDataModule.CreateNew(`
`AOwner: TComponent`
`); constructor TDataModule.CreateNew(`
`AOwner: TComponent;`
`CreateMode: Integer`
`); virtual;`

## Description

CreateNew creates a new instance of the class, but bypasses the streaming mechanism. The CreateMode parameter (by default zero) is not used in TDataModule. If the AddDataModule handler is set, then it is called, with the newly created instance as an argument.

## See also

TDataModule.Create |  | Create a new instance of a TDataModule.
AddDataModule |  | Handler called when a new TDataModule instance is created.
TDataModule.OnCreate |  | Event handler, called when the datamodule is created.